## org.eclipse.jst.jsf.core.jsfappconfig
Interface IJSFAppConfigLocater

All Known Implementing Classes:
  AbstractJSFAppConfigLocater, ContextParamSpecifiedJSFAppConfigLocater, DefaultJSFAppConfigLocater, ImplicitRuntimeJSFAppConfigLocater, RuntimeClasspathJSFAppConfigLocater, WebContentRelativeJSFAppConfigLocater

    public interface IJSFAppConfigLocater

IJSFAppConfigLocater is the interface that Objects capable of locating and providing JSF application configuration resources must implement.

Provisional API - subject to change

Method Summary
`void` `dispose()` Disposes of the instance.
`org.eclipse.jst.jsf.core.jsfappconfig.internal.IJSFAppConfigManager` `getJSFAppConfigManager()` Gets the `IJSFAppConfigManager` instance to which this locater belongs.
`java.util.Set<IJSFAppConfigProvider>` `getJSFAppConfigProviders()` Gets the set of `IJSFAppConfigProvider` instances that this locater has located.
`void` `setJSFAppConfigManager(org.eclipse.jst.jsf.core.jsfappconfig.internal.IJSFAppConfigManager manager)` Sets the `IJSFAppConfigManager` instance to which this locater belongs.
`void` `startLocating()` Starts locating JSF application configuration resources.
`void` `stopLocating()` Stops locating JSF application configuration resources.

Method Detail

### setJSFAppConfigManager

    void setJSFAppConfigManager(org.eclipse.jst.jsf.core.jsfappconfig.internal.IJSFAppConfigManager manager)

  Sets the `IJSFAppConfigManager` instance to which this locater belongs.

  Parameters:
    `manager` - `IJSFAppConfigManager` instance to be set.

### getJSFAppConfigManager

    org.eclipse.jst.jsf.core.jsfappconfig.internal.IJSFAppConfigManager getJSFAppConfigManager()

  Gets the `IJSFAppConfigManager` instance to which this locater belongs.

  Returns:
    `IJSFAppConfigManager` instance to which this locater belongs.

### startLocating

    void startLocating()

  Starts locating JSF application configuration resources.

### stopLocating

    void stopLocating()

  Stops locating JSF application configuration resources.

### dispose

    void dispose()

  Disposes of the instance.

### getJSFAppConfigProviders

    java.util.Set<IJSFAppConfigProvider> getJSFAppConfigProviders()

  Gets the set of `IJSFAppConfigProvider` instances that this locater has located.

  Returns:
    set of `IJSFAppConfigProvider` instances.